#
# spec file for package netboot-rpi3b
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           netboot-rpi3b
Version:        0.1
Release:        1.61
Summary:        Boot Raspberry Pi 3B (no plus) from network reliably
License:        MIT
URL:            https://github.com/openSUSE/netboot-rpi3b
Source:         https://github.com/openSUSE/netboot-rpi3b/archive/v%{version}.tar.gz#/netboot-rpi3b-%{version}.tar.gz
Patch1:         %{name}-fix-link.patch
BuildRequires:  libpcap-devel

%description
Run this program on any host in the same network segment as a Raspberry Pi 3
Model B to make it boot from network more reliably.

Magic.

%prep
%setup -q
%patch1 -p1

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -c -m 0755 netboot-rpi3b %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md
%{_bindir}/netboot-rpi3b

%changelog
* Wed Sep  2 2020 Petr Tesařík <ptesarik@suse.com>
- Drop the Group RPM tag, as it is no longer needed.
* Wed Sep  2 2020 Petr Tesařík <ptesarik@suse.com>
- Move the RPM to group Productivity/Networking/Boot/Utilities,
  because it does not run on the booting machine during boot.
* Wed Sep  2 2020 Petr Tesařík <ptesarik@suse.com>
- Release v0.1.
